<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::meta::HDSUav Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1meta_1_1_h_d_s_uav.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classframework_1_1meta_1_1_h_d_s_uav-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::meta::HDSUav Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Base class to construct sensors/actuators depending on uav type.  
 <a href="classframework_1_1meta_1_1_h_d_s_uav.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_h_d_s_uav_8h_source.html">HDSUav.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::meta::HDSUav:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1meta_1_1_h_d_s_uav.png" usemap="#framework::meta::HDSUav_map" alt=""/>
  <map id="framework::meta::HDSUav_map" name="framework::meta::HDSUav_map">
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,165,24"/>
<area href="classframework_1_1meta_1_1_ar_drone2.html" title="Class defining an ardrone2 uav. " alt="framework::meta::ArDrone2" shape="rect" coords="0,112,165,136"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ad2bccbfb3914c6df73f4eb51a795332e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2bccbfb3914c6df73f4eb51a795332e"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>VRPNType_t</b> { <br />
&#160;&#160;<b>None</b>, 
<b>Auto</b>, 
<b>AutoIP</b>, 
<b>UserDefinedIP</b>, 
<br />
&#160;&#160;<b>AutoSerialPort</b>
<br />
 }</td></tr>
<tr class="separator:ad2bccbfb3914c6df73f4eb51a795332e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2a426f78ec60fe5732d78eae7e4737d3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a426f78ec60fe5732d78eae7e4737d3"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>HDSUav</b> (<a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string uav_name, VRPNType_t VRPNType=None, int VRPNSerialObjectId=0, <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex=NULL)</td></tr>
<tr class="separator:a2a426f78ec60fe5732d78eae7e4737d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a016face373273c31937612b04a68ef7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a016face373273c31937612b04a68ef7f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetupVRPN</b> (std::string optitrack_address, std::string name)</td></tr>
<tr class="separator:a016face373273c31937612b04a68ef7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9697881d66dc63657622eccee92e5b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9697881d66dc63657622eccee92e5b6"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>StartSensors</b> (void)</td></tr>
<tr class="separator:af9697881d66dc63657622eccee92e5b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad912c55add7b3064a311bb7766d5b912"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad912c55add7b3064a311bb7766d5b912"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>UseDefaultPlot</b> (void)</td></tr>
<tr class="separator:ad912c55add7b3064a311bb7766d5b912"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72c05e624b0f03777ac512e04cd6f15a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a72c05e624b0f03777ac512e04cd6f15a"></a>
<a class="el" href="classframework_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetBldc</b> (void) const </td></tr>
<tr class="separator:a72c05e624b0f03777ac512e04cd6f15a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c222617dfbbe72ea4c31044b0907508"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c222617dfbbe72ea4c31044b0907508"></a>
<a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetUavMultiplex</b> (void) const </td></tr>
<tr class="separator:a2c222617dfbbe72ea4c31044b0907508"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a0d29726fe2828532cb4681d111d7ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a0d29726fe2828532cb4681d111d7ba"></a>
<a class="el" href="classframework_1_1sensor_1_1_imu.html">sensor::Imu</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetImu</b> (void) const </td></tr>
<tr class="separator:a1a0d29726fe2828532cb4681d111d7ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb63a859de96301da6f9dc5e8859b03c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb63a859de96301da6f9dc5e8859b03c"></a>
<a class="el" href="classframework_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetAhrs</b> (void) const </td></tr>
<tr class="separator:afb63a859de96301da6f9dc5e8859b03c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae59a4f3410af7260221d9997d64698f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae59a4f3410af7260221d9997d64698f6"></a>
<a class="el" href="classframework_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetMetaUsRangeFinder</b> (void) const </td></tr>
<tr class="separator:ae59a4f3410af7260221d9997d64698f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06e7ae2b3a77d291e1ffbd2c6b8c217e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06e7ae2b3a77d291e1ffbd2c6b8c217e"></a>
<a class="el" href="classframework_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetBatteryMonitor</b> (void) const </td></tr>
<tr class="separator:a06e7ae2b3a77d291e1ffbd2c6b8c217e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19f5ae512b8630742ba724a0d3435bec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19f5ae512b8630742ba724a0d3435bec"></a>
<a class="el" href="classframework_1_1sensor_1_1_vrpn_client.html">sensor::VrpnClient</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetVrpnClient</b> (void) const </td></tr>
<tr class="separator:a19f5ae512b8630742ba724a0d3435bec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fbf699955a1bba38607b2701afa5db5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4fbf699955a1bba38607b2701afa5db5"></a>
<a class="el" href="classframework_1_1meta_1_1_meta_vrpn_object.html">meta::MetaVrpnObject</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetVrpnObject</b> (void) const </td></tr>
<tr class="separator:a4fbf699955a1bba38607b2701afa5db5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ae498eeabc5fbbfae54daeb107c84c0fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae498eeabc5fbbfae54daeb107c84c0fc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetupVRPNSerial</b> (<a class="el" href="classframework_1_1core_1_1_serial_port.html">core::SerialPort</a> *vrpn_port, std::string name, int VRPNSerialObjectId)</td></tr>
<tr class="separator:ae498eeabc5fbbfae54daeb107c84c0fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6089bc07b128a177e8368d2ff755c07"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab6089bc07b128a177e8368d2ff755c07"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetupVRPNAutoIP</b> (std::string name)</td></tr>
<tr class="separator:ab6089bc07b128a177e8368d2ff755c07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac058a8fe5ee976106f20a0365f1dfff5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac058a8fe5ee976106f20a0365f1dfff5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetBldc</b> (<a class="el" href="classframework_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *bldc)</td></tr>
<tr class="separator:ac058a8fe5ee976106f20a0365f1dfff5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48ccb5024dfb46f6bad4287c3df85696"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48ccb5024dfb46f6bad4287c3df85696"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetMultiplex</b> (<a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex)</td></tr>
<tr class="separator:a48ccb5024dfb46f6bad4287c3df85696"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af75490b3e7acef9a066fcd66fad85a82"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af75490b3e7acef9a066fcd66fad85a82"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetAhrs</b> (<a class="el" href="classframework_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *ahrs)</td></tr>
<tr class="separator:af75490b3e7acef9a066fcd66fad85a82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5d3ad33801c136a19beb800bcc02588"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5d3ad33801c136a19beb800bcc02588"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetUsRangeFinder</b> (<a class="el" href="classframework_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *us)</td></tr>
<tr class="separator:ac5d3ad33801c136a19beb800bcc02588"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a141e7eb22f198c122913391e186ed54b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a141e7eb22f198c122913391e186ed54b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetBatteryMonitor</b> (<a class="el" href="classframework_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *battery)</td></tr>
<tr class="separator:a141e7eb22f198c122913391e186ed54b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Base class to construct sensors/actuators depending on uav type. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1meta.html">meta</a></li><li class="navelem"><a class="el" href="classframework_1_1meta_1_1_h_d_s_uav.html">HDSUav</a></li>
    <li class="footer">Generated on Fri Feb 5 2016 14:55:06 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
